from taller_programacion import *
"""
Que pasa si pintamos los colores rojo, verde y azul en leds juntos y los movemos cada vez más rápido?
Vemos los colores o vemos un color distinto?
"""

imprimir("Vamos a hacer una prueba con colores y nuestros ojos") # Mandamos un mensaje a la consola

luces.pintarLed(1, color="rojo")		# Pintamos un led de cada color principal, rojo, verde y azul
luces.pintarLed(2, color="verde")
luces.pintarLed(3, color="azul")
luces.iluminar()						# Los encendemos

contador = 0                            # Creamos una variable que se llama contador, le iremos sumando 1 en cada vuelta del bucle
"""
Movemos los colores a la derecha pero un poco lentos
"""
imprimir("Muevo los leds no muy rápido, vemos los 3 colores")    # Mandamos un mensaje a la consola
while contador < 200:           # Mientras contador sea menor a 200 (Significa que esto se repetirá 200 veces)
    luces.moverDerecha()		# Movemos las luces a la derecha
    luces.iluminar()			# Las iluminamos
    contador = contador + 1     # Sumamos 1 a contador
    dormir_ms(20)				# Esperamos un tiempo pequeño antes de volver a mover a la derecha otra vez, las luces se moveran no muy rápido

dormir(1)						# Hacemos una pausa antes de seguir
contador = 0                    # Volvemos a poner a 0 el contador

"""
Movemos los colores a la derecha pero algo mas rápido
"""
imprimir("Muevo los leds algo más rápido, vemos los 3 colores?")    # Mandamos un mensaje a la consola
while contador < 400:           # Mientras contador sea menor a 400 (Significa que esto se repetirá 400 veces)
    luces.moverDerecha()		# Movemos las luces a la derecha
    luces.iluminar()			# Las iluminamos
    contador = contador + 1     # Sumamos 1 a contador
    dormir_ms(10)				# Esperamos un tiempo pequeño antes de volver a mover a la derecha otra vez, las luces se moveran no muy rápido

dormir(1)						# Hacemos una pausa antes de seguir
contador = 0                    # Volvemos a poner a 0 el contador

"""
Movemos los colores a la derecha pero bastante rápido
"""
imprimir("Muevo los leds algo rápido, casi no se ven los 3 colores verdad?")    # Mandamos un mensaje a la consola
while contador < 600:           # Mientras contador sea menor a 600 (Significa que esto se repetirá 600 veces)
    luces.moverDerecha()		# Movemos las luces a la derecha
    luces.iluminar()			# Las iluminamos
    contador = contador + 1     # Sumamos 1 a contador
    dormir_ms(5)				# Esperamos un tiempo pequeño antes de volver a mover a la derecha otra vez, las luces se moveran no muy rápido

dormir(1)						# Hacemos una pausa antes de seguir
contador = 0                    # Volvemos a poner a 0 el contador

"""
Movemos los colores a la derecha muy rápido
"""
imprimir("Muevo los leds muy rápido, yo solo veo el color blanco!")    # Mandamos un mensaje a la consola
while contador < 1000:           # Mientras contador sea menor a 1000 (Significa que esto se repetirá 1000 veces)
    luces.moverDerecha()		# Movemos las luces a la derecha
    luces.iluminar()			# Las iluminamos
    contador = contador + 1     # Sumamos 1 a contador
    dormir_ms(1)				# Esperamos un tiempo pequeño antes de volver a mover a la derecha otra vez, las luces se moveran no muy rápido

dormir(1)						# Hacemos una pausa antes de seguir
contador = 0                    # Volvemos a poner a 0 el contador

imprimir("\nEsto pasa porque nuestro ojo que es mas lento que lo que se mueven las luces, ")    # Mandamos un mensaje a la consola
imprimir("junta los 3 colores apareciendo entonces el color blanco para nosotros, ")            # Mandamos un mensaje a la consola
imprimir("aunque solo sean los colores ROJO, VERDE y AZUL moviéndose muy rápido")               # Mandamos un mensaje a la consola